Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

Public Enum eExportOidClass
    Controlling = 0
    CostHolder = 1
    VAT = 2
End Enum
<DefaultClassOptions()> _
<NonPersistent> _
<CreatableItem(False)> _
<NavigationItem(False)> _
Public Class ExportOids_PopUp
    Inherits BaseObject
    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
        OpenFileAfterExport = True
    End Sub

    Private _ExportOidClass As eExportOidClass
    Private _OpenFileAfterExport As Boolean

    Property ExportOidClass As eExportOidClass
        Get
            Return _ExportOidClass
        End Get
        Set(value As eExportOidClass)
            SetPropertyValue("ExportOidClass", _ExportOidClass, value)
        End Set
    End Property
    Property OpenFileAfterExport As Boolean
        Get
            Return _OpenFileAfterExport
        End Get
        Set(value As Boolean)
            SetPropertyValue("OpenFileAfterExport", _OpenFileAfterExport, value)
        End Set
    End Property
End Class
